from sqlalchemy.orm import Session
# Importations ABSOLUES
from models import user as models_user 
from schemas import user as schemas_user 
from core.hashing import get_password_hash # <-- NOUVEAU

def get_user_by_email(db: Session, email: str):
    return db.query(models_user.User).filter(models_user.User.email == email).first()

def create_user(db: Session, user: schemas_user.UserCreate):
    hashed_password = get_password_hash(user.password)
    db_user = models_user.User(
        email=user.email,
        hashed_password=hashed_password,
        name=user.name
    )
    db.add(db_user)
    db.commit()
    db.refresh(db_user)
    return db_user